<!--
  ~ Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="">

    <xsl:template match="*">
        
        <h4>
            <div id="dataServiceHeader"></div>
        </h4>
        <fieldset style="border:none;"><br/>
            <table><tr><td style="vertical-align: top; padding: 0;">
            <div id="formDiv"><!--style="_position:absolute; float:left; _margin-left:-1240px; _margin-top: -530px;">-->
            <div id="formset">
			<div align="right" style="margin-right: 11em">	
				<a href="http://wso2.org/wiki/display/wsf/Data+Services+and+Resources" target="_blank" >Data Services Specification</a>
			</div>				
                <xsl:for-each select="//return/data">

                    <xsl:choose>
                        <xsl:when test="//return/@ds_step=0">
                            <xsl:call-template name="ds_config"/>
                        </xsl:when>
                        <xsl:when test="//return/@ds_step=1">
                            <xsl:call-template name="ds_query"/>
                        </xsl:when>
                        <xsl:when test="//return/@ds_step=2">
                            <xsl:call-template name="ds_operation"/>
                        </xsl:when>
                    </xsl:choose>

                </xsl:for-each>
            </div>

            <div id="formset_button">
                <div style="align: right;">
                    
					<xsl:if test="//return/@ds_step!=0">
                        <input type="button" onclick="javascript:ds_back(); return false;;"
                               value=" &lt; Back "></input>
                    </xsl:if>

                    <xsl:if test="//return/@ds_step!=2">
                        <input type="button" onclick="javascript:ds_next(); return false;;"
                               value=" Next &gt; "></input>
                    </xsl:if>
					
                    <xsl:if test="//return/@ds_step=2">
                        <input type="button" value="Finish">
                            <xsl:attribute name="onclick">javascript:deployDataService();return false;
                            </xsl:attribute>
                        </input>
                    </xsl:if>
                    <input type="button" onClick="javascript:startServices(this,1); return false;" value="Cancel"/>
                    
                </div>
            </div>
            </div>
            </td>
            <td style="padding: 0; vertical-align: top;"><div id="previewDiv"><!-- style="margin-left: 680px; _margin-left:910px; _float:left; _margin-top:-530px;">-->
                <div id="formset">
                <form>
                <fieldset>
                    <legend>Preview of the Data Service configuration</legend>
                    <textarea rows="30" cols="60" id="dsPreviewDiv" disabled="true" style="color: blue; border: none; padding: 5px;"></textarea>
                    
                </fieldset>
                </form>
                    </div>
            </div></td></tr></table>
            
        </fieldset>
    </xsl:template>



    <xsl:template name="ds_config">

    
        <form>
            <fieldset style="width: 520px;">
                <legend>Configuration</legend>
                <div>
                    <label>Service Name
                        <font color='red'>*</font>
                    </label>
                    <input type="text">
                        <xsl:attribute name="size">30</xsl:attribute>
                        <xsl:attribute name="id">dataServiceName</xsl:attribute>
                        <xsl:attribute name="value">
                            <xsl:value-of select="@name"/>
                        </xsl:attribute>
                        <xsl:if test="//return/@disable_name">
                            <xsl:attribute name="disabled"/>
                        </xsl:if>
                    </input>
                </div>
                
                <xsl:if test="not(//return/@disable_name)">
                <div>
                    <label>Data Source
                        <font color='red'>*</font>
                    </label>
					<select id="databaseSourceType">
					   <xsl:attribute name="onchange">javascript:setConfigurationScreen(this.value);return false;</xsl:attribute>
					   <option value="">--SELECT--</option>
					   <option value="RDBMS">RDBMS</option>
					   <option value="EXCEL">MS Excel(97-2003)</option>
					   <option value="CSV">CSV</option>
					   <option value="JNDIDataSource">JNDI Data source</option>
					</select>
                </div>                  
                </xsl:if>



               <xsl:if test="//return[@dataSourceType='EXCEL']">
                <div id="divExcelDataSource" style="display: inline">
<!-- 
                    	<div>
                         <label>TEST
                            <font color='red'>*</font>
                         </label>
                         <input type="button" value="load columns">
                            <xsl:attribute name="id">testcall2</xsl:attribute>
                            <xsl:attribute name="onclick">javascript:loadCSVColumnsScreen();return false;</xsl:attribute>
                         </input>                         
                    	</div>
-->
                </div>
                </xsl:if>

                
                <xsl:if test="//return[@dataSourceType='CSV']">
                <div id="divCSVDataSource" style="display: inline">
                <!--  
                    	<div>
                         <label>columns
                            <font color='red'>*</font>
                         </label>     
                         <input type="button" value="load columns">
                            <xsl:attribute name="id">loadCSVColumns</xsl:attribute>
                            <xsl:attribute name="onclick">javascript:loadCSVColumnsScreen();return false;</xsl:attribute>
                         </input>
                         
                    	</div>
                  -->  	
                </div>
                </xsl:if>


                <xsl:if test="//return[@dataSourceType='RDBMS']">
                <div id="divRDBMSDataSource" style="display: inline;">
				<xsl:if test="not(//return/@disable_name)">
                <div>
                    <label>Database Type<font color='red'>*</font></label>
					<select id="databaseServerType" name="databaseServerType">
					   <xsl:attribute name="onchange">javascript:setJDBCValues(this,document);return false;</xsl:attribute>
					</select>					
                </div>           
				</xsl:if>
				</div>  
				</xsl:if>
              
                <xsl:for-each select="config/property">
                    <div>
                        <label>
                            <xsl:choose>
                                <!-- RDBMS main properties -->
                                <xsl:when test="@name = 'org.wso2.ws.dataservice.driver'">Driver Class</xsl:when>
                                <xsl:when test="@name = 'org.wso2.ws.dataservice.protocol'">JDBC URL</xsl:when>
                                <xsl:when test="@name = 'org.wso2.ws.dataservice.user'">User name</xsl:when>
                                <xsl:when test="@name = 'org.wso2.ws.dataservice.password'">Password</xsl:when>
                                <!-- EXCEL main properties -->
                                <xsl:when test="@name = 'excel_datasource'">Excel File Location<font color='red'>*</font></xsl:when>
                                <!-- CSV main properties -->
                                <xsl:when test="@name = 'csv_datasource'">CSV File Location<font color='red'>*</font></xsl:when>
                                <xsl:when test="@name = 'csv_hasheader'">Header available<font color='red'>*</font></xsl:when>
                                <xsl:when test="@name = 'csv_columnseperator'">Column separator</xsl:when>
                                <xsl:when test="@name = 'csv_columns'"><!--  This is a hidden field --></xsl:when>
                                <xsl:when test="@name = 'csv_columnordinal'"><!-- This is a hidden field  --></xsl:when>
                                <xsl:when test="@name = 'csv_startingrow'">Starting Row</xsl:when>
                                <xsl:when test="@name = 'csv_maxrowcount'">Max. no of rows to read</xsl:when>
                                <!-- JNDIResource main properties -->
                                <xsl:when test="@name = 'jndi_context_class'">JNDI Context Class<font color='red'>*</font></xsl:when>
                                <xsl:when test="@name = 'jndi_provider_url'">Provider URL<font color='red'>*</font></xsl:when>
                                <xsl:when test="@name = 'jndi_resource_name'">Resource Name<font color='red'>*</font></xsl:when>
                                <xsl:when test="@name = 'jndi_username'">User name</xsl:when>
                                <xsl:when test="@name = 'jndi_password'">Password</xsl:when>
                                
                                <!-- work-a-round for other properties added by user -->
                                <xsl:otherwise>
                                    <xsl:value-of select="@name"/>
                                </xsl:otherwise>
                            </xsl:choose>
                            <!--<font color='red'>*</font>-->
                        </label>
	                    	<!-- distinguish between text,password fields/select boxes/file upload dialogs -->
	                    	<xsl:choose>
	                    		<xsl:when
	                    			test="@name = 'org.wso2.ws.dataservice.password'">
	                    			<input>
	                    				<xsl:attribute name="type">password</xsl:attribute>
	                    				<xsl:attribute name="size">30</xsl:attribute>
	                    				<xsl:attribute name="value"><xsl:value-of select="text()" /></xsl:attribute>
	                    				<xsl:attribute name="id"><xsl:value-of select="@name" /></xsl:attribute>
	                    			</input>
	                    		</xsl:when>
	                    		<xsl:when
	                    			test="contains(@name,'_hasheader')">
	                    			<xsl:variable name="hasHeader">
	                    			   <xsl:value-of select="text()" />
	                    			</xsl:variable>
			  	                    <select>
	                					<xsl:attribute name="id"><xsl:value-of select="@name" /></xsl:attribute>
	                					<xsl:attribute name="onchange">javascript:getCSVHeaderColumnNames(document);return false;</xsl:attribute>
                                        <option>
                	                        <xsl:attribute name="value"></xsl:attribute>
                	                        --select--
                                        </option>		                					
                        				<option>
                            				<xsl:attribute name="value">true</xsl:attribute>
                            				<xsl:if test="$hasHeader='true'">
                                				<xsl:attribute name="selected">true</xsl:attribute>
                            				</xsl:if>
                            				TRUE
                        				</option>
                        				<option>
                            				<xsl:attribute name="value">false</xsl:attribute>
                            				<xsl:if test="$hasHeader='false'">
                                				<xsl:attribute name="selected">true</xsl:attribute>
                            				</xsl:if>
                            				FALSE
                        				</option>
                    				</select>			
	                    		</xsl:when>
	                    		<xsl:when
	                    			test="contains(@name,'csv_datasource') or contains(@name,'excel_datasource')">
	                    			<input>
	                    			    <xsl:attribute name="type">text</xsl:attribute>
	                    			    <xsl:attribute name="id"><xsl:value-of select="@name" /></xsl:attribute>
	                    			    <xsl:attribute name="name"><xsl:value-of select="@name" /></xsl:attribute>
	                    			    <xsl:attribute name="size">45</xsl:attribute>
										<xsl:attribute name="value"><xsl:value-of select="text()" /></xsl:attribute>
	                    			</input>
	                    		</xsl:when>
	                    		<xsl:when
	                    			test="@name = 'csv_columns' or @name = 'csv_columnordinal'">
	                    			<input>
	                    			    <xsl:attribute name="type">hidden</xsl:attribute>
	                    			    <xsl:attribute name="id"><xsl:value-of select="@name" /></xsl:attribute>
	                    				<xsl:attribute name="value"><xsl:value-of select="text()" /></xsl:attribute>	                    			    
	                    			</input>
	                    		</xsl:when>	                    			                    		
	                    		<xsl:otherwise>
	                    			<input>
	                    			    <xsl:attribute name="type">text</xsl:attribute>
	                    				<xsl:attribute name="size">30</xsl:attribute>
	                    				<xsl:attribute name="value"><xsl:value-of select="text()" /></xsl:attribute>
	                    				<xsl:attribute name="id"><xsl:value-of select="@name" /></xsl:attribute>
	                    			</input>	                    		
	                    		</xsl:otherwise>
	                    	</xsl:choose>



                            <!-- 
                              remove parameter icon should not appear for RDBMS main parameter types,
                              all excel & csv parameters. 
                             -->
	                    	<xsl:if test="not(contains(@name,'org.wso2.ws.dataservice.') 
	                    	                     or contains(@name,'excel_') 
	                    	                     or contains(@name,'csv_')
	                    	                     or contains(@name,'jndi_'))">
                            &#160;&#160;&#160;
                            <a alt="Remove">
                                <xsl:attribute name="title">Remove parameter
                                    <xsl:value-of select="@id"/>
                                </xsl:attribute>
                                <xsl:attribute name="onclick">javascript:remove_ds_param('<xsl:value-of
                                        select="@name"/>');return false;
                                </xsl:attribute>
                                <xsl:attribute name="id">cancel_link</xsl:attribute>
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
                            </a>
                        </xsl:if>
                    </div>
                </xsl:for-each>

                <div id="divCSVColumnSelection" style="display:none;">
                   <label>Column selection<font color='red'>*</font></label>
	               <select>
	                  <xsl:attribute name="onclick">javascript:setCSVColumnSelection();return false;</xsl:attribute>
	                  <xsl:attribute name="id">csvColumnSelection</xsl:attribute>
	                  <xsl:attribute name="multiple">true</xsl:attribute>
	               </select>
                </div>
	                    			
                 <!--<input type="checkbox">
                     <xsl:attribute name="id">addAdditionalParamaters</xsl:attribute>
                     <xsl:attribute name="onChange">javascript:addAdditionalParameters();return false;</xsl:attribute>
                 </input>-->
				 <input type="hidden"/>
                         	                    			
              
            </fieldset>
            
        </form>

        <div id="divDSAddParam" style="display:none;"></div>
    </xsl:template>



    <xsl:template name="ds_query">
        <form>
            <fieldset style="width: 520px;">
                <legend>Queries</legend>
                <xsl:if test="count(query)=0">
                    <label style="width: 500px; color: brown; align: left;">Currently there are no queries present for the service <xsl:value-of
                            select="@name"/></label>
                </xsl:if>
                <xsl:for-each select="query">
                    <div>
                        <label>
                            <xsl:value-of select="@id"/>
                        </label>
                        <label>
                            <a alt="Edit">
                                <xsl:attribute name="title">Edit query
                                    <xsl:value-of select="@id"/>
                                </xsl:attribute>
                                <xsl:attribute name="onclick">javascript:editDataServiceQuery('<xsl:value-of select="@id"/>');return false;
                                </xsl:attribute>
                                <xsl:attribute name="id">edit_link</xsl:attribute>
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
                            </a>
                            <a alt="Remove">
                                <xsl:attribute name="title">Remove query
                                    <xsl:value-of select="@id"/>
                                </xsl:attribute>
                                <xsl:attribute name="onclick">javascript:remove_ds_query('<xsl:value-of
                                        select="@id"/>');return false;
                                </xsl:attribute>
                                <xsl:attribute name="id">cancel_link</xsl:attribute>
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
                            </a>
                        </label>
                    </div>
                </xsl:for-each>
                <!--<div>-->
                    <!--<label>-->
                        <!--<a alt="Add New">-->
                            <!--<xsl:attribute name="title">Add new Query</xsl:attribute>-->
                            <!--<xsl:attribute name="href">#</xsl:attribute>-->
                            <!--<xsl:attribute name="id">add_link</xsl:attribute>-->
                            <!--<xsl:attribute name="onclick">javascript:addDataServiceQuery();return false;-->
                            <!--</xsl:attribute>-->
                            <!--<xsl:text>&#160;&#160;&#160;&#160;Add New</xsl:text>-->
                        <!--</a>-->
                    <!--</label>-->
                <!--</div>-->


                
            </fieldset>
        </form>

        <div id="divDSAddQuery"></div>
    </xsl:template>

    <xsl:template name="ds_operation">
        <form>
            <fieldset style="width: 520px;">
                <legend>Operations</legend>
                <xsl:if test="count(operation)=0">
                    <label style="width: 500px; color: brown; align: left;">Currently there are no operations present for the service <xsl:value-of
                            select="@name"/></label>
                </xsl:if>
                <xsl:for-each select="operation">
                    <div>
                        <label>
                            <xsl:value-of select="@name"/>
                        </label>
                        <label>
                            <a alt="Edit">
                                <xsl:attribute name="title">Edit Operation
                                    <xsl:value-of select="@name"/>
                                </xsl:attribute>
                                <xsl:attribute name="onclick">javascript:editDataServiceOperation('<xsl:value-of select="@name"/>');return false;
                                </xsl:attribute>
                                <xsl:attribute name="id">edit_link</xsl:attribute>
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
                            </a>
                            <a alt="Remove">
                                <xsl:attribute name="title">Remove Operation
                                    <xsl:value-of select="@name"/>
                                </xsl:attribute>
                                <xsl:attribute name="onclick">javascript:dataServiceRemoveOperation('<xsl:value-of select="@name"/>');return false;
                                </xsl:attribute>
                                <xsl:attribute name="id">cancel_link</xsl:attribute>
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
                            </a>
                        </label>
                    </div>
                </xsl:for-each>

                
                <!--<div>-->
                    <!--<label>-->
                        <!--<a alt="Add New">-->
                            <!--<xsl:attribute name="title">Add new Operation></xsl:attribute>-->
                            <!--<xsl:attribute name="href">#</xsl:attribute>-->
                            <!--<xsl:attribute name="id">add_link</xsl:attribute>-->
                            <!--<xsl:attribute name="onclick">javascript:displayAddDataServiceOperation();return false;-->
                            <!--</xsl:attribute>-->
                            <!--<xsl:text>&#160;&#160;&#160;&#160;Add New</xsl:text>-->
                        <!--</a>-->
                    <!--</label>-->
                <!--</div>-->
            </fieldset>
        </form>

        <div id="divDSAddOperation"></div>
    </xsl:template>
    
</xsl:stylesheet>
