<!--
  ~ Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ns1="http://org.apache.axis2/xsd"
                exclude-result-prefixes="ns1">

    <xsl:template match="ns1:getServerDataResponse">
		<h2>System Information</h2>
    	<div id="formset">
    		<form method="post"  name="systemRestart" action="server/stop">
    			<fieldset id="blank_border">
				<xsl:for-each select="return">
					<table class="styledLeft">
						<thead>
                            <tr><th colspan="2">WSO2 Web Services Application Server</th></tr>
                        </thead>
                        <tr>
						<td><strong>Version</strong></td>
						<td><xsl:value-of select="wso2wsasVersion"/></td>
						</tr>
                        <tr>
						<td><strong>Repository&#160;Location</strong></td>
						<td><xsl:value-of select="repoLocation"/></td>
						</tr>
						<tr>
						<td><strong>Axis2&#160;Location</strong></td>
						<td><xsl:value-of select="axis2Location"/></td>
						</tr>
						<thead><tr><th colspan="2">Java VM</th></tr></thead>				
						<tr>
						<td><strong>Java&#160;Home</strong></td>
						<td><xsl:value-of select="javaHome"/></td>
						</tr>
						<tr>
						<td><strong>Java&#160;Runtime&#160;Name</strong></td>
						<td><xsl:value-of select="javaRuntimeName"/></td>
						</tr>
						<tr>
						<td><strong>Java&#160;Version</strong></td>
						<td><xsl:value-of select="javaVersion"/></td>
						</tr>
						<tr>
						<td><strong>Java&#160;Vendor</strong></td>
						<td><xsl:value-of select="javaVMVendor"/></td>
						</tr>
						<tr>
						<td><strong>Java&#160;VM&#160;Version</strong></td>
						<td><xsl:value-of select="javaVMVersion"/></td>
						</tr>
						<thead><tr><th colspan="2">Server</th></tr></thead>
						<tr>
						<td><strong>OS&#160;Name</strong></td>
						<td><xsl:value-of select="osName"/></td>
						</tr>
						<tr>
						<td><strong>OS&#160;Version</strong></td>
						<td><xsl:value-of select="osVersion"/></td>
						</tr>
						<tr>
						<td><strong>Server&#160;Name</strong></td>
						<td><xsl:value-of select="serverName"/></td>
						</tr>
						<thead><tr><th colspan="2">User</th></tr></thead>
						<tr>
						<td><strong>User&#160;Country</strong></td>
						<td><xsl:value-of select="userCountry"/></td>
						</tr>
						<tr>
						<td><strong>User&#160;Home</strong></td>
						<td><xsl:value-of select="userHome"/></td>
						</tr>
						<tr>
						<td><strong>User&#160;Name</strong></td>
						<td><xsl:value-of select="userName"/></td>
						</tr>
						<tr>
						<td><strong>User&#160;Timezone</strong></td>
						<td><xsl:value-of select="userTimezone"/></td>
						</tr>
					</table>
				</xsl:for-each>
				<p>&#160;</p>
				</fieldset>
			</form>
		</div>
    </xsl:template>
</xsl:stylesheet>
